/****************************************************************************
 *   Copyright (C) 2004 by Arboretum Systems, Inc.                          *
 *   Technical administrator: Alain Mazy, hav@mazy.be                       *
 *   Lead program designer: Georges Jaroslaw, gjaro@arboretum.com           *
 *                                                                          *
 *   HyperEngine-AV is a video, audio and text editor that can be used to   *
 *   record, import, edit, process and arrange together video, sound and    *
 *   text. These are all achieved in the program's free-form document       *
 *   window, with no limitations to the number of tracks.                   *
 *   The purpose of this program is to provide to users at all levels of    *
 *   expertise a readily accessible tool enabling them to create movies,    *
 *   slide shows or presentations.                                          *
 *                                                                          *
 *   HyperEngine-AV itself is free software. However, plug-ins that can be  *
 *   used as add-ons to HyperEngine-AV may or may not be free software, at  *
 *   the discretion of each plug-in developer and as specified by these     *
 *   plug-ins' respective licenses.                                         *
 *   You can redistribute HyperEngine-AV itself and/or modify it under the  *
 *   terms of the GNU General Public License as published by the Free       *
 *   Software Foundation; either version 2 of the License, or (at your      *
 *   option) any later version.                                             *
 *                                                                          *
 *   HyperEngine-AV is distributed in the hope that it will be useful, but  *
 *   WITHOUT ANY WARRANTY; without even the implied warranty of             *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          *
 *   GNU General Public License for all applicable details.                 *
 *                                                                          *
 *   You should have received a copy of the GNU General Public License      *
 *   along with this program; if not, write to:                             *
 *   Free Software Foundation, Inc.,                                        *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.              *
 ****************************************************************************/
#import <Cocoa/Cocoa.h>
#import "MIPaletteController.h"
#import "MIMontagePalette.h"

#if 0 //$$$TOOLBOX

@class MIApplicationController;

@interface MIToolBoxController : MIMontagePalette
{
    IBOutlet id audioButton;
    IBOutlet id clipboardButton;
    IBOutlet id gridButton;
    IBOutlet id historyButton;
    IBOutlet id midiButton;
    IBOutlet id mixerButton;
    IBOutlet id processorButton;
    IBOutlet id searchButton;
    IBOutlet id textButton;
    IBOutlet id videoButton;
    
    IBOutlet id alignmentButton;
    IBOutlet id chainButton;
    IBOutlet id colorizeButton;
    IBOutlet id lockButton;
    IBOutlet id markerButton;
    IBOutlet id packButton;
    IBOutlet id snapButton;
    IBOutlet id sortButton;
	
	IBOutlet id fGridMenu;
}

+ (MIToolBoxController*)sharedToolBoxController;
- (id)init;


- (void)setImages;

- (void)popUpMenu:(NSMenu*)menu forButton:(id)button;

- (IBAction)audioButtonPressed:(id)sender;
- (IBAction)clipBoardButtonPressed:(id)sender;
- (IBAction)gridButtonPressed:(id)sender;
- (IBAction)historyButtonPressed:(id)sender;
- (IBAction)midiButtonPressed:(id)sender;
- (IBAction)mixerButtonPressed:(id)sender;
- (IBAction)processorButtonPressed:(id)sender;
- (IBAction)searchButtonPressed:(id)sender;
- (IBAction)textButtonPressed:(id)sender;
- (IBAction)videoButtonPressed:(id)sender;

- (IBAction)alignmentButtonPressed:(id)sender;
- (IBAction)chainButtonPressed:(id)sender;
- (IBAction)colorizeButtonPressed:(id)sender;
- (IBAction)lockButtonPressed:(id)sender;
- (IBAction)markerButtonPressed:(id)sender;
- (IBAction)packButtonPressed:(id)sender;
- (IBAction)snapButtonPressed:(id)sender;
- (IBAction)sortButtonPressed:(id)sender;

- (IBAction)gridMenuItemPressed:(id)sender;

@end

#endif //0 //$$$TOOLBOX
